ImportSnippet (Java SE 26 & JDK 26)
Description: declaration: module: jdk.jshell, package: jdk.jshell, class: ImportSnippet
Keywords: jdk.jshell.ImportSnippet class

# Class ImportSnippet

java.lang.Object
jdk.jshell.Snippet
jdk.jshell.PersistentSnippet
jdk.jshell.ImportSnippet

public class ImportSnippet extends PersistentSnippet
Snippet for an import declaration. The Kind is `Snippet.Kind.IMPORT`.

`ImportSnippet` is immutable: an access to any of its methods will always return the same result. and thus is thread-safe.

See Java Language Specification:
  7.5 Import Declarations
Since:
  9

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Snippet

  `Snippet.Kind, Snippet.Status, Snippet.SubKind`
  Modifier and Type
  Class
  Description
  `static enum`
  `Snippet.Kind`
  Describes the general kind of snippet.
  `static enum`
  `Snippet.Status`
  Describes the current state of a Snippet.
  `static enum`
  `Snippet.SubKind`
  The detailed variety of a snippet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `fullname()`
  The qualified name of the import.
  `boolean`
  `isStatic()`
  Indicates whether this snippet represents a static import.
  `String`
  `name()`
  The identifying name of the import.

  ### Methods declared in class Snippet

  `id, kind, source, subKind`
  Modifier and Type
  Method
  Description
  `String`
  `id()`
  The unique identifier for the snippet.
  `Snippet.Kind`
  `kind()`
  The `Snippet.Kind` for the snippet.
  `String`
  `source()`
  Return the source code of the snippet.
  `Snippet.SubKind`
  `subKind()`
  Return the `Snippet.SubKind` of snippet.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Method Details

  - ### name

    public String name()
    The identifying name of the import. For on-demand imports (`Snippet.SubKind.TYPE_IMPORT_ON_DEMAND_SUBKIND` or (`Snippet.SubKind.STATIC_IMPORT_ON_DEMAND_SUBKIND`) that is the full specifier including any qualifiers and the asterisks. For single imports (`Snippet.SubKind.SINGLE_TYPE_IMPORT_SUBKIND` or (`Snippet.SubKind.SINGLE_STATIC_IMPORT_SUBKIND`), it is the imported name. That is, the unqualified name.
    Overrides:
      `name` in class `PersistentSnippet`
    Returns:
      the name of the import.

  - ### fullname

    public String fullname()
    The qualified name of the import. For any imports (`Snippet.SubKind.TYPE_IMPORT_ON_DEMAND_SUBKIND`, (`Snippet.SubKind.STATIC_IMPORT_ON_DEMAND_SUBKIND`), (`Snippet.SubKind.SINGLE_TYPE_IMPORT_SUBKIND` or (`Snippet.SubKind.SINGLE_STATIC_IMPORT_SUBKIND`) that is the full specifier including any qualifiers and the asterisks.
    Returns:
      the fullname of the import

  - ### isStatic

    public boolean isStatic()
    Indicates whether this snippet represents a static import.
    Returns:
      `true` if this snippet represents a static import; otherwise `false`